from ocp_vscode import *
from build123d import *
set_port(3939)

dia_holder = 30.0
width_holder = 20.0
thickness_holder = 4 

l_x_w_holderpin = 9.8
rotation_holderpin = 45
thickness_holderpin = 3

rotation_clam = 45
thickness_clam = 1

with BuildPart() as ex1:
    with BuildSketch() as ex1_sk:
        Circle(dia_holder)
        Rectangle(width_holder, 25)
    extrude(amount = thickness_holder, mode=Mode.INTERSECT)

show(ex1)
